Bug 243802 - www/devd: fix build on aarch64
Summary: www/devd: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 16:22 UTC by Mikael Urankar
Modified: 2020-02-24 19:28 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.10 KB, patch)
2020-02-02 16:22 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 16:22:44 UTC
Created attachment 211280 [details]
patch

Replace embedded golang-sys by fead79001313 to fix build on aarch64
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:52:10 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 17:08:29 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 17:08:05 UTC 2020
New revision: 527001
URL: https://svnweb.freebsd.org/changeset/ports/527001

Log:
  www/devd: Unbreak on aarch64

  Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64

  PR:	243802
  Approved by:	yuri (maintainer), manu (mentor)

Changes:
  head/www/devd/Makefile
  head/www/devd/distinfo